Package org.eclipse.m2m.atl.adt.ui.preferences

# Class ProfileManager.Profile

java.lang.Object
org.eclipse.m2m.atl.adt.ui.preferences.ProfileManager.Profile

All Implemented Interfaces:
  `Comparable<ProfileManager.Profile>`

Direct Known Subclasses:
  `ProfileManager.BuiltInProfile`, `ProfileManager.CustomProfile`

Enclosing class:
  ProfileManager

public abstract static class ProfileManager.Profile extends Object implements Comparable<ProfileManager.Profile>
Represents a profile with a unique ID, a name and a map containing the code formatter settings.

## Constructor Summary

Constructors
Constructor
Description
`Profile()`

## Method Summary

Modifier and Type
Method
Description
`abstract String`
`getID()`
`abstract String`
`getName()`
`abstract Map<String,String>`
`getSettings()`
`boolean`
`hasEqualSettings(Map<String,String> otherMap, Collection<String> allKeys)`
`boolean`
`isBuiltInProfile()`
`abstract boolean`
`isProfileToSave()`
`boolean`
`isSharedProfile()`
`abstract ProfileManager.Profile`
`rename(String name, ProfileManager manager)`
`abstract void`
`setSettings(Map<String,String> settings)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Comparable

`compareTo`

## Constructor Details

### Profile

public Profile()

## Method Details

### getName

public abstract String getName()

### rename

public abstract ProfileManager.Profile rename(String name, ProfileManager manager)

### getSettings

public abstract Map<String,String> getSettings()

### setSettings

public abstract void setSettings(Map<String,String> settings)

### hasEqualSettings

public boolean hasEqualSettings(Map<String,String> otherMap, Collection<String> allKeys)

### isProfileToSave

public abstract boolean isProfileToSave()

### getID

public abstract String getID()

### isSharedProfile

public boolean isSharedProfile()

### isBuiltInProfile

public boolean isBuiltInProfile()